/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for PatientHistoryCath
 */
public enum EnumCV_PatientHistoryCath 
{
	//TID 3802 Patient History, Cath
	HISTORY_121060("121060"),
	PREVIOUS_MYOCARDIAL_INFARCTION_1_WEEK_PRIOR_36("36"),
	TYPE_OF_MYOCARDIAL_INFARCTION_122170("122170"),
	DIABETIC_THERAPY_31_1("31.1"),
	LIPID_LOWERING_THERAPY_39_1("39.1"),
	SMOKING_HISTORY_38("38"),
	PRIOR_REPORT_FOR_CURRENT_PATIENT_122075("122075"),
	DOCUMENT_TITLE_121144("121144");

	private String value;

	EnumCV_PatientHistoryCath(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
